http_port 8080
icp_port 0
cache_peer	xxxx	sibling	8080	0	no-query	proxy-only
acl QUERY urlpath_regex cgi-bin \?
no_cache deny QUERY
cache_mem 128 MB
maximum_object_size 32000 KB
maximum_object_size_in_memory 32 KB
cache_dir diskd /var/spool/squid 700 16 256
cache_access_log /var/log/squid/access.log
cache_log /var/log/squid/cache.log
cache_store_log none
pid_filename /var/run/squid.pid
#redirect_program /usr/lib/squid/redirectors.sh
auth_param ntlm program /usr/lib/squid/wb_ntlmauth 
auth_param ntlm children 25 
auth_param ntlm max_challenge_reuses 0
auth_param ntlm max_challenge_lifetime 2 minutes
auth_param basic program /usr/lib/squid/wb_auth 
auth_param basic children 5
auth_param basic realm Squid proxy-caching web server
auth_param basic credentialsttl 2 hours
external_acl_type wb_group %LOGIN /usr/lib/squid/wb_group -c
refresh_pattern ^ftp:		1440	20%	10080
refresh_pattern ^gopher:	1440	0%	1440
refresh_pattern .		0	20%	4320
half_closed_clients on
shutdown_lifetime 10 seconds
acl all src 0.0.0.0/0.0.0.0
acl manager proto cache_object
acl localhost src 127.0.0.1/255.255.255.255 x.x.x.x/255.255.255.255
acl to_localhost dst 127.0.0.0/8
acl other_proxies src x.x.x.x/255.255.255.255
acl statres src x.x.x.x/255.255.255.255
acl polygraph src x.x.x.0/255.255.255.0
acl ntgroup external wb_group xxxxx 
acl AuthUsers proxy_auth REQUIRED
acl SSL_ports port 443 563
acl Safe_ports port 80		# http
acl Safe_ports port 21		# ftp
acl Safe_ports port 443 563	# https, snews
acl Safe_ports port 70		# gopher
acl Safe_ports port 210		# wais
acl Safe_ports port 1025-65535	# unregistered ports
acl Safe_ports port 280		# http-mgmt
acl Safe_ports port 488		# gss-http
acl Safe_ports port 591		# filemaker
acl Safe_ports port 777		# multiling http
acl CONNECT method CONNECT
http_access allow manager localhost
http_access allow manager statres
http_access deny manager
http_access deny !Safe_ports
http_access deny CONNECT !SSL_ports
http_access allow localhost
http_access allow other_proxies
http_access allow polygraph
http_access allow AuthUsers ntgroup
http_access deny AuthUsers
http_access deny all
http_reply_access allow all
icp_access allow all
cache_mgr root
cache_effective_user squid
cache_effective_group squid 

error_directory /usr/share/errors/French
max_open_disk_fds 200
coredump_dir /var/cache
digest_rebuild_period 10 minutes
digest_rewrite_period 10 minutes

